Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_global_variable Struct Reference

## Data Fields
int | counter
int | block_trace
VALUE * | data
rb_gvar_getter_t * | getter
rb_gvar_setter_t * | setter
rb_gvar_marker_t * | marker
struct trace_var * | trace

## Detailed Description

Definition at line 301 of file variable.c.

## Field Documentation

## ◆ block_trace

int rb_global_variable::block_trace

Definition at line 303 of file variable.c.

Referenced by rb_gvar_set().

## ◆ counter

int rb_global_variable::counter

Definition at line 302 of file variable.c.

## ◆ data

VALUE* rb_global_variable::data

Definition at line 304 of file variable.c.

Referenced by rb_gvar_get(), rb_gvar_set(), rb_gvar_undef_setter(), rb_gvar_val_getter(), rb_gvar_val_marker(), rb_gvar_val_setter(), and rb_gvar_var_setter().

## ◆ getter

rb_gvar_getter_t* rb_global_variable::getter

Definition at line 305 of file variable.c.

Referenced by rb_define_virtual_variable(), rb_gvar_defined(), rb_gvar_get(), rb_gvar_getter_function_of(), and rb_gvar_undef_setter().

## ◆ marker

rb_gvar_marker_t* rb_global_variable::marker

Definition at line 307 of file variable.c.

Referenced by rb_gvar_undef_setter().

## ◆ setter

rb_gvar_setter_t* rb_global_variable::setter

Definition at line 306 of file variable.c.

Referenced by rb_define_virtual_variable(), rb_gvar_set(), rb_gvar_setter_function_of(), and rb_gvar_undef_setter().

## ◆ trace

struct trace_var* rb_global_variable::trace

Definition at line 308 of file variable.c.

Referenced by rb_f_trace_var(), rb_gvar_is_traced(), and rb_gvar_set().

The documentation for this struct was generated from the following file:

- variable.c